using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using HaloObjects;

namespace HaloPlugins.Shared
{
    public class ItemCollection
    {
        public List<MetaNode> Fields = new List<MetaNode>();

        public ItemCollection()
        {
            Fields.Add(new Reflexive("Item Permutations", 16, new MetaNode[] { 
                new Value("Weight", typeof(float)),
                new TagReference("Item"), 
                new StringID("Variant Name") }));
            Fields.Add(new Value("Spawn Time", typeof(uint)));
        }
    }
}